// package: bet.protobuf.pagination
// file: protobuf/pagination/sort.proto

import * as jspb from 'google-protobuf';

export class Sort extends jspb.Message {
  getBy(): string;
  setBy(value: string): void;

  getOrder(): SortOrderMap[keyof SortOrderMap];
  setOrder(value: SortOrderMap[keyof SortOrderMap]): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Sort.AsObject;
  static toObject(includeInstance: boolean, msg: Sort): Sort.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: Sort,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): Sort;
  static deserializeBinaryFromReader(
    message: Sort,
    reader: jspb.BinaryReader
  ): Sort;
}

export namespace Sort {
  export type AsObject = {
    by: string;
    order: SortOrderMap[keyof SortOrderMap];
  };
}

export interface SortOrderMap {
  ASC: 0;
  DESC: 1;
}

export const SortOrder: SortOrderMap;
